import { l as loadConfig, g as getOptions, b as build, w as watch } from './chunks/3d4d8ebb.mjs';
import 'fs';
import 'pathe';
import 'mri';
import 'rollup';
import 'rollup-plugin-dts';
import 'lodash.merge';
import 'fs/promises';
import '@rollup/plugin-alias';
import '@rollup/plugin-commonjs';
import '@rollup/plugin-json';
import '@rollup/plugin-node-resolve';
import '@rollup/plugin-replace';
import '@rollup/plugin-run';
import 'rollup-plugin-esbuild';
import '@rollup/pluginutils';
import '@swc/core';
import 'rollup-plugin-typescript2';
import 'jiti';
import 'module';

async function main() {
  const config = loadConfig(process.cwd());
  const options = await getOptions(process.argv, config);
  if (options.command === "build") {
    await build(options);
  } else if (options.command === "watch") {
    await watch(options);
  }
}
main().catch((err) => {
  console.error("An error has been detected while running bauen");
  console.error(err);
  process.exit(1);
});
